Search Support

I need to go back to previous version of Firefox as Roboform does not work. How?

more options

I need to go back to previous version of Firefox as Roboform does not work. How do I do it?

All Replies (1)

more options

Get an update from Roboform.

http://www.roboform.com/support/news

Version 7.4.1

  • Adapter for Firefox 6.0.